/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
}
/*
  3. Allow percentage-based heights in the application
*/
html, body {
  height: 100%;
}
/*
  Typographic tweaks!
  4. Add accessible line-height
  5. Improve text rendering
*/
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
/*
  6. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
  object-fit: cover;
}
/*
  7. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
/*
  8. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}
/*
  9. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}

:root {
 --s:.5
}

body {
  font-family: 'Helvetica', sans-serif;
  background: rgb(41, 41, 51);
}

main {
  display : flex;
  flex-direction: column;
}

aside {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom:5%;
 left:50%;
 transform:translate(-25%,-0%);

}



header svg {
    width: 30%;
  }


section {
  height:100vh;
  padding: 1rem;
  display: flex;
  flex: 3;
}

img{
  border-radius: 7px;
}


@media screen and (max-width: 450px) {
  img {max-width:100%; }
}

/***********************
Galerie nav
**********************/

nav.outils {
  display: flex;
  flex-direction:column;
  flex-grow: 1;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-top: 5rem;
}

#container {
  position: absolute;
  top: 1em;
  z-index: 3;
  background: radial-gradient(rgb(58, 59, 63), rgb(49, 50, 54));
  width: 100%;
  height: auto;
  padding: .4rem
}

#controls {
  background: #121212;
  color:ghostwhite;
}

div.porama {
  position: relative;
  height: 100vh;
  width:100vw;
  overflow: hidden;
}


.red {
  animation: shake 0.82s cubic-bezier(.36,.07,.19,.97) both;
  transform: translate3d(0, 0, 0);
  backface-visibility: hidden;
  perspective: 1000px;
  cursor: pointer;
}

@keyframes shake {
  10%, 90% {
    transform: scale(98%);
  }

  20%, 80% {
    transform: scale(94%);
  }

  30%, 50%, 70% {
    transform: scale(92%);
  }

  40%, 60% {
    transform: scale(90%);
  }
}

#galerie {
    width: 100%;
    height: inherit;
    background: #201e2a;
    color: snow;
    margin: 0;
    position: absolute;
    top:0;
    left:0;
    z-index: 7;
}

#galerie h1 {
    font-size: 2em;
}

#box {
  width: inherit;
  height: inherit;
  margin: 0;
}

#box > span {
top: 50%;
left: 50%;
height: 100vh;
width: 100vw;

  display: flex;
}

#vues, .vues {
    overflow: hidden;
    transition : 300ms transform ease-in;

    /* to correct weird behavior of microsoft edge and chromium or
    i don't find my error hence i blame them... :-P */
    width: auto;
    align-self: auto;
    margin: 0 auto;
}

.show {
  -webkit-transform: translate3d(-100vw, 0, 0);
    transform: translate3d(-100vw, 0, 0);
    -webkit-transition: -webkit-transform .8s cubic-bezier(0, .52, 0, 1);
    transition: -webkit-transform .8s cubic-bezier(0, .52, 0, 1);
    transition: transform .8s cubic-bezier(0, .52, 0, 1);
    transition: transform .8s cubic-bezier(0, .52, 0, 1), -webkit-transform .8s cubic-bezier(0, .52, 0, 1);
}

.boutons {
  display: flex;
  justify-content: space-around;
  flex-direction: row;
  width: 100vw;
  padding-inline: 1ch;
}

.nav-pagination {
	display: flex;
	flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  border: 3px solid rgb(89, 115, 51);
  box-shadow: 1px 1px 2px #111;
  border-radius: 8px;
	width: 15rem;
  .avancerPg, .retournerPg {
    color: snow;
    cursor: pointer;
    padding-inline: .5rem;
    padding-block: 1rem;
  }
  .pgs {
    color:snow;
    font-weight: bold;
    font-size: x-large;
  }
}

.retour_accueil {
  position: absolute;
  bottom: 0.8rem;
  left: 0.8rem;
  padding: 0.5rem 0.8rem;
  color:rgb(97,220,63);
}

.select, .fractales {
  color: snow;
  cursor: pointer;
  display: flex;
  flex-direction: row;
  padding-inline: 2ch;
  background: #282a2c;
  border-radius: 8px;
  box-shadow: 1px 1px 2px #111;
  border: 3px solid #597333;
  height: 3rem;
  width: 5rem;
  place-content: center;
  padding-block: 1ch;
}

.select > span, .select a > span {
  display: none;
}

.fractales {
  display: block;
}

.activ::before {
  content:url(../img/eye.svg);
}

.shuffle::before {
  content:url(../img/shuffle.svg);
}

.max::before {
  content: url(../img/enlarge.svg);
}

/*.retour::before {
  content: url(../img/arrow-left2.svg);
}*/

/*.activ::before, .shuffle::before, .max::before, .retour::before {
margin-inline-end: 3ch;
}*/




.retour a, .retour a:visited {
  color: snow;
  text-decoration: none;
}

.retour a img {
  max-width: none;
}

.select:hover {
  background: #597333;;
}

.select:hover,
.select:not(:hover)
 {
  transition: 1.21s cubic-bezier(0, .52, 0, 1);
}


.select:focus,.fractales:focus {
  outline: none;
 box-shadow: 0 0 0 4px #cbd6ee;
}

.add-border {
  border:5px solid ghostwhite;
  border-radius: 12px;
}

.avancer,
.retourner {
  /*  position: absolute;
    top: 55vh;*/
    z-index: 3;

}


/*#navig {
	width: 15rem;
	display: flex;
	flex-direction: row-reverse;
	justify-content: space-between;
  position: absolute;
  bottom: 2rem;
  left:40%;
}*/


/*.avancer:hover,
.retourner:hover {


}*/

.avancer:hover > img,
.retourner:hover > img {
  cursor: pointer;
  -webkit-transition: all 1s ease-in-out;
  transition: 1s ease-in-out;
  /*background: moccasin;*/
}
.avancer:not(:hover) > img,
.retourner:not(:hover) > img {
  -webkit-transition: all 1s ease-in-out;
  transition: 1s ease-in-out;

}

.avancer, .retourner {
    position: absolute;
    top: 50vh;
    border: 3px solid rgb(89, 115, 51);
    box-shadow: 1px 1px 2px #111;
    border-radius: 8px;
    display:flex;
    width:2.2rem;
    height:2.2rem;
    padding:.2rem;
}

.avancer {
  right: 2vw;
}

.retourner {
  left: 2vw;
}

.compte {
  color:snow;
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  margin-block:1ch;
  padding-inline:1ch;
}

.ferme {
position: absolute;
top: 1em;
right: 1em;
font-size: 2rem;
color: snow;
padding: .5em 0.3em;
width: 2em;
text-align: center;
cursor:pointer;

z-index: 8;
}


.close {
display:none;
}

.active {
display:block;
}

div.template-thumbs {
    display: grid;
    flex-direction: column;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: .5rem;
}

/*#thumbnails*/
#panorama {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(320px,1fr));
    grid-gap: .8rem;
overflow: hidden;
z-index: 1;
     align-self: center;
    filter: drop-shadow(rgb(4, 4, 4) 2px 2px 5px);
    transform: scale(calc(var(--s)*1.35));
    height: fit-content;
    }

#diaporama img {
  max-width: 100%;
  object-fit: contain;
  aspect-ratio:16/9;
}


div.template-thumbs img {
border-radius :8px;
border:3px solid #090606;
box-shadow: 3px 3px 8px #090606;
width: 200px;
}

.dispimg{
  position: absolute;
}

/****pagination******/

.paginated-list img:not(.active) {
  display: none;
}

.pagination-container {
  width: calc(100% - 2rem);
  display: flex;
  align-items: center;
  position: absolute;
  bottom: 0;
  padding: 1rem 0;
  justify-content: center;
}

.pagination-number,
.pagination-button {
  font-size: 1.1rem;
  background-color: transparent;
  border: none;
  margin: 0.25rem 0.25rem;
  cursor: pointer;
  height: 2.5rem;
  width: 2.5rem;
  border-radius: .2rem;
}

.pagination-number:hover,
.pagination-button:not(.disabled):hover {
  background: #fff;
}

.pagination-number.active {
  color: #fff;
  background: #0085b6;
}




/************* fin pagination *************/

@media only screen and (orientation:portrait) {
  main {
    flex-direction:column;
  }
}

@media only screen and (orientation:landscape){
  main {
    flex-direction: column;
  }
  aside {
    flex:0;
    width: inherit;
  }

  .boutons {
    width:inherit;
  }
}

@media only screen and (max-width:768px) {


  section {
    height: fit-content;
  }
  #panorama {
  grid-template-columns: repeat(auto-fit,minmax(7em,1fr));
  transform: scale(cacl(var(--s)*1.4));
  place-content : center;
  }
  .boutons {
    flex-wrap: wrap;
  }
}

@media only screen and (min-width:800px) and (max-width:1020px) {



  #panorama {
  grid-template-columns: repeat(auto-fit,minmax(15em,1fr));
  transform: scale(calc(var(--s)*2,5));
  }
}
